VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV:
[legend]

## Public Member Functions

| PipelineCoverageModulationStateCreateInfoNV (PipelineCoverageModulationStateCreateFlagsNV flags_=PipelineCoverageModulationStateCreateFlagsNV(), CoverageModulationModeNV coverageModulationMode_=CoverageModulationModeNV::eNone, Bool32 coverageModulationTableEnable_=0, uint32_t coverageModulationTableCount_=0, const float *pCoverageModulationTable_=nullptr)
| PipelineCoverageModulationStateCreateInfoNV (VkPipelineCoverageModulationStateCreateInfoNV const &rhs)
PipelineCoverageModulationStateCreateInfoNV & | operator= (VkPipelineCoverageModulationStateCreateInfoNV const &rhs)
PipelineCoverageModulationStateCreateInfoNV & | setPNext (const void *pNext_)
PipelineCoverageModulationStateCreateInfoNV & | setFlags (PipelineCoverageModulationStateCreateFlagsNV flags_)
PipelineCoverageModulationStateCreateInfoNV & | setCoverageModulationMode (CoverageModulationModeNV coverageModulationMode_)
PipelineCoverageModulationStateCreateInfoNV & | setCoverageModulationTableEnable (Bool32 coverageModulationTableEnable_)
PipelineCoverageModulationStateCreateInfoNV & | setCoverageModulationTableCount (uint32_t coverageModulationTableCount_)
PipelineCoverageModulationStateCreateInfoNV & | setPCoverageModulationTable (const float *pCoverageModulationTable_)
| operator VkPipelineCoverageModulationStateCreateInfoNV const & () const
| operator VkPipelineCoverageModulationStateCreateInfoNV & ()
bool | operator== (PipelineCoverageModulationStateCreateInfoNV const &rhs) const
bool | operator!= (PipelineCoverageModulationStateCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineCoverageModulationStateCreateFlagsNV | flags
CoverageModulationModeNV | coverageModulationMode
Bool32 | coverageModulationTableEnable
uint32_t | coverageModulationTableCount
const float * | pCoverageModulationTable

## Private Attributes

StructureType | sType = StructureType::ePipelineCoverageModulationStateCreateInfoNV

## Detailed Description

Definition at line 35829 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineCoverageModulationStateCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::PipelineCoverageModulationStateCreateInfoNV | ( | PipelineCoverageModulationStateCreateFlagsNV | flags_ = `PipelineCoverageModulationStateCreateFlagsNV()`,
|  | CoverageModulationModeNV | coverageModulationMode_ = `CoverageModulationModeNV::eNone`,
|  | Bool32 | coverageModulationTableEnable_ = `0`,
|  | uint32_t | coverageModulationTableCount_ = `0`,
|  | const float * | pCoverageModulationTable_ = `nullptr`
| ) |  |

inline

Definition at line 35831 of file vulkan.hpp.

: flags( flags_ )
, coverageModulationMode( coverageModulationMode_ )
, coverageModulationTableEnable( coverageModulationTableEnable_ )
, coverageModulationTableCount( coverageModulationTableCount_ )
, pCoverageModulationTable( pCoverageModulationTable_ )
{
}

## PipelineCoverageModulationStateCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::PipelineCoverageModulationStateCreateInfoNV | ( | VkPipelineCoverageModulationStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 35844 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineCoverageModulationStateCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineCoverageModulationStateCreateInfoNV &()

VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator VkPipelineCoverageModulationStateCreateInfoNV & | ( |  | ) |

inline

Definition at line 35895 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineCoverageModulationStateCreateInfoNV*>(this);
}

## operator VkPipelineCoverageModulationStateCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator VkPipelineCoverageModulationStateCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 35890 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineCoverageModulationStateCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator!= | ( | PipelineCoverageModulationStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 35911 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator= | ( | VkPipelineCoverageModulationStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 35849 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineCoverageModulationStateCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator== | ( | PipelineCoverageModulationStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 35900 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( coverageModulationMode == rhs.coverageModulationMode )
&& ( coverageModulationTableEnable == rhs.coverageModulationTableEnable )
&& ( coverageModulationTableCount == rhs.coverageModulationTableCount )
&& ( pCoverageModulationTable == rhs.pCoverageModulationTable );
}

References coverageModulationMode, coverageModulationTableCount, coverageModulationTableEnable, flags, pCoverageModulationTable, pNext, and sType.

Referenced by operator!=().

## setCoverageModulationMode()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setCoverageModulationMode | ( | CoverageModulationModeNV | coverageModulationMode_ | ) |

inline

Definition at line 35866 of file vulkan.hpp.

{
coverageModulationMode = coverageModulationMode_;
return *this;
}

References coverageModulationMode.

## setCoverageModulationTableCount()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setCoverageModulationTableCount | ( | uint32_t | coverageModulationTableCount_ | ) |

inline

Definition at line 35878 of file vulkan.hpp.

{
coverageModulationTableCount = coverageModulationTableCount_;
return *this;
}

References coverageModulationTableCount.

## setCoverageModulationTableEnable()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setCoverageModulationTableEnable | ( | Bool32 | coverageModulationTableEnable_ | ) |

inline

Definition at line 35872 of file vulkan.hpp.

{
coverageModulationTableEnable = coverageModulationTableEnable_;
return *this;
}

References coverageModulationTableEnable.

## setFlags()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setFlags | ( | PipelineCoverageModulationStateCreateFlagsNV | flags_ | ) |

inline

Definition at line 35860 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPCoverageModulationTable()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setPCoverageModulationTable | ( | const float * | pCoverageModulationTable_ | ) |

inline

Definition at line 35884 of file vulkan.hpp.

{
pCoverageModulationTable = pCoverageModulationTable_;
return *this;
}

References pCoverageModulationTable.

## setPNext()

PipelineCoverageModulationStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 35854 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## coverageModulationMode

CoverageModulationModeNV VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationMode

Definition at line 35922 of file vulkan.hpp.

Referenced by operator==(), and setCoverageModulationMode().

## coverageModulationTableCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationTableCount

Definition at line 35924 of file vulkan.hpp.

Referenced by operator==(), and setCoverageModulationTableCount().

## coverageModulationTableEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationTableEnable

Definition at line 35923 of file vulkan.hpp.

Referenced by operator==(), and setCoverageModulationTableEnable().

## flags

PipelineCoverageModulationStateCreateFlagsNV VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::flags

Definition at line 35921 of file vulkan.hpp.

Referenced by operator==().

## pCoverageModulationTable

const float* VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::pCoverageModulationTable

Definition at line 35925 of file vulkan.hpp.

Referenced by operator==(), and setPCoverageModulationTable().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::pNext = nullptr

Definition at line 35920 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::sType = StructureType::ePipelineCoverageModulationStateCreateInfoNV

private

Definition at line 35917 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::flags
PipelineCoverageModulationStateCreateFlagsNV flags
Definition: vulkan.hpp:35921
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::PipelineCoverageModulationStateCreateInfoNV
PipelineCoverageModulationStateCreateInfoNV(PipelineCoverageModulationStateCreateFlagsNV flags_=PipelineCoverageModulationStateCreateFlagsNV(), CoverageModulationModeNV coverageModulationMode_=CoverageModulationModeNV::eNone, Bool32 coverageModulationTableEnable_=0, uint32_t coverageModulationTableCount_=0, const float *pCoverageModulationTable_=nullptr)
Definition: vulkan.hpp:35831
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:35920
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationMode
CoverageModulationModeNV coverageModulationMode
Definition: vulkan.hpp:35922
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::operator==
bool operator==(PipelineCoverageModulationStateCreateInfoNV const &rhs) const
Definition: vulkan.hpp:35900
VkPipelineCoverageModulationStateCreateInfoNV
Definition: vulkan_core.h:7771
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationTableEnable
Bool32 coverageModulationTableEnable
Definition: vulkan.hpp:35923
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::pCoverageModulationTable
const float * pCoverageModulationTable
Definition: vulkan.hpp:35925
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:35917
VULKAN_HPP_NAMESPACE::PipelineCoverageModulationStateCreateInfoNV::coverageModulationTableCount
uint32_t coverageModulationTableCount
Definition: vulkan.hpp:35924
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480